Bug Hunting Session
Bug 108294 - Adding icon for digital signature
Summary: Adding icon for digital signature
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Icon-Themes
  Show dependency treegraph
 
Reported: 2017-06-01 23:17 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-10-23 19:38 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-06-01 23:17:05 UTC
So their is a digital signature (.uno:Signature) button in the tabbed notebookbar's File tab, so an icon needs to be made for it.

Breeze has a 16x16px icon[1] for it of a page with a lock on it, but that metaphor seems more of protecting the contents of the document rather than ensuring its authenticity.

[1] https://cgit.freedesktop.org/libreoffice/core/plain/icon-themes/breeze/cmd/sc_signature.png

Ljiljan approached me with the idea to use a fingerprint as the metaphor for the icon, so do others have any other consideration what the metaphor should be?

Here are some fingerprint icons i was able to find that i thought may be suitable as the basis of the design.

http://www.pngall.com/wp-content/uploads/2016/06/Fingerprint-Free-Download-PNG.png

http://static9.depositphotos.com/1674252/1149/v/950/depositphotos_11493309-drawing-fingerprint.jpg

https://www.iconexperience.com/i_collection/icons/?icon=fingerprint&appearance=plain
https://www.iconexperience.com/_img/i_collection_png/512x512/plain/fingerprint.png

Another metaphor that i stumbled on that could be used is a barcode.

https://www.iconexperience.com/i_collection/icons/?icon=barcode&appearance=plain
https://www.iconexperience.com/_img/i_collection_png/512x512/plain/barcode.png

https://www.iconfinder.com/icons/363078/barcode_free_barcode_icon#size=128
https://cdn4.iconfinder.com/data/icons/add-1/60/barcode-128.png

And here are some others that i stumbled on that could be used.

https://www.iconfinder.com/data/icons/files-documents/512/YPS__file_document_to_sign_signature_signed_sign_sheet_contract_paper_page_text-512.png

http://www.iconempire.com/find/digital-signature-icons.htm

http://skysignature.com/assets/images/icons/icon-verified.png
Comment 1 Johnny_M 2017-06-08 19:50:19 UTC
Maybe something containing a wax seal like on the status bar icon (see https://help.libreoffice.org/5.3/Common/About_Digital_Signatures#Open_a_signed_document ), for consistency?
Comment 2 Yousuf Philips (jay) (retired) 2017-06-08 23:28:38 UTC
(In reply to Johnny_M from comment #1)
> Maybe something containing a wax seal like on the status bar icon (see
> https://help.libreoffice.org/5.3/Common/
> About_Digital_Signatures#Open_a_signed_document ), for consistency?

Wax seal might be hard to achieve with monochrome icon themes like Breeze and Sifr.
Comment 3 Johnny_M 2017-06-09 05:51:35 UTC
True. Just an idea: The wax seal seems to be sometimes used with a ribbon, like in your link here: http://www.iconempire.com/find/digital-signature-icons.htm or in MS Office here: https://support.office.com/en-us/article/How-to-tell-if-a-digital-signature-is-trustworthy-61a46050-9a9f-40ab-a894-3ccd60c44415

That might make it clearer that it's a wax stamp. Or it could be a wax seal on its own, like here: http://www.flaticon.com/free-icons/wax-seal_184742 , for fewer details.
Comment 4 Heiko Tietze 2017-06-09 07:18:33 UTC
* Checkmark (one of the designer's pets like arrows)
* Pencil (+1 from my side)
* Stamp (difficult as it easily could be used for different things)
* Fingerprint (nice but maybe doesn't scale well down to 16px)
* Barcode (don't get it)

Other metaphors: 
* Handwriting (some written/scribbled letter)
* Closed lock (similar as the stamp)
* Shield

And everything has been done before... https://thenounproject.com/search/?q=signature
Comment 5 Johnny_M 2017-06-09 15:50:05 UTC
(In reply to Heiko Tietze from comment #4)

Actually, the wax seal seems to be the one unambiguously used for the cryptographic (or secure and reliable in general in earlier times) authentication. [6][7]

The other listed are usually:
* Checkmark: Spell check (or other document content review)? As already in LO or Thunderbird. [1]

* Pencil: A signature, but not cryptographic but a textual one at the end of an e-mail. [2] Or other work on the textual content. (Like the icons of Notepad++, PDF-XChange Editor, Gedit/Pluma in Gnome/Mate, "Create a new message" button in Thunderbird [1] or the email composition settings in its preferences [3].)

* Stamp: You probably probably mean a seal (I made the same mistake). Otherwise, Thunderbird uses a stamp on its "Send" button (meaning "post/mail the message" I guess). [1]

* Fingerprint: User authentication specifically using a fingerprint? [4][5]

* Barcode: Some very general reference to "encoding", I guess (whatever it may mean)? I can't think of a close relation to a cryptographic signature. Nor of a common use for such an icon.

* Handwriting: Same as pencil above? (Often used together.)

* Lock: Encryption (not authentication!) - see, e.g., browser address bar. Or cryptography in general (whose encryption part used to safeguard information, and breaking of which is supposedly related to "picking locks"[8] as mindset). Cryptography includes both, encryption and authentication, but using a lock for authentication is a very general depiction referring to cryptography in general.

* Shield: A very broad depiction of "security" (or "safety"). May include cryptography, but also, e.g., virus scanners and much more (e.g., MS Windows security settings with its firewall, etc.). And logos of insurance companies and private security companies - one's got to feel safe behind a shield, right? :)

It's some thorough discussion about a tiny icon we are having here :)

[1] https://support.mozilla.org/en-US/kb/sending-and-receiving-messages-thunderbird
[2] https://support.office.com/en-us/article/Create-and-add-a-signature-to-messages-8ee5d4f4-68fd-464a-a1c1-0e1c80bb27f2
[3] https://support.mozilla.org/en-US/kb/how-install-and-use-another-language-dictionary-th
[4] https://material.io/guidelines/patterns/fingerprint.html
[5] https://en.wikipedia.org/wiki/Touch_ID
[6] http://blog.signinghub.com/the-evolution-of-the-signature-from-wax-seal-to-e-signature
[7] https://www.nottingham.ac.uk/manuscriptsandspecialcollections/researchguidance/medievaldocuments/authentication.aspx
[8] http://www.cryptomuseum.com/covert/lockpick/
Comment 6 andreas_k 2018-10-23 19:38:59 UTC
All icon themes has already an iconf for digital signature